## routino 3.2

=== Makefile ===
# Top level Makefile
#
# Part of the Routino routing software.
#
# This file Copyright 2009-2015 Andrew M. Bishop
#
# This program is free software: you can redistribute it and/or modify
# it under the terms of the GNU Affero General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU Affero General Public License for more details.
#
# You should have received a copy of the GNU Affero General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.
#

# All configuration is in the top-level Makefile.conf

include Makefile.conf

# Sub-directories and sub-makefiles

SUBDIRS=src xml doc web extras

########

all:
	for dir in $(SUBDIRS); do \
	   ( cd $$dir && $(MAKE) $@ ); \
	done

########

test:
	for dir in $(SUBDIRS); do \
	   ( cd $$dir && $(MAKE) $@ ); \
	done

########

install:
	for dir in $(SUBDIRS); do \
	   ( cd $$dir && $(MAKE) $@ ); \
	done

########

clean:
	for dir in $(SUBDIRS); do \
	   ( cd $$dir && $(MAKE) $@ ); \
	done

########

distclean:
	for dir in $(SUBDIRS); do \
	   ( cd $$dir && $(MAKE) $@ ); \
	done

########

.PHONY:: all test install clean distclean

=== src/Makefile ===
# Source code Makefile
#
# Part of the Routino routing software.
#
# This file Copyright 2008-2015 Andrew M. Bishop
#
# This program is free software: you can redistribute it and/or modify
# it under the terms of the GNU Affero General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU Affero General Public License for more details.
#
# You should have received a copy of the GNU Affero General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.
#

# All configuration is in the top-level Makefile.conf

include ../Makefile.conf

# Sub-directories and sub-makefiles

SUBDIRS=xml test

# Compilation targets

DEPDIR=.deps

C=$(wildcard *.c)
D=$(wildcard $(DEPDIR)/*.d)

EXE=planetsplitter$(.EXE) planetsplitter-slim$(.EXE) router$(.EXE) router-slim$(.EXE) \
    filedumperx$(.EXE) filedumper$(.EXE) filedumper-slim$(.EXE) \
    router+lib$(.EXE) router+lib-slim$(.EXE)

ifneq ($(HOST),MINGW)
LIB =libroutino.so               libroutino-slim.so
LIB+=libroutino.so.$(SOVERSION)  libroutino-slim.so.$(SOVERSION)
LIB+=libroutino.so.$(LIBVERSION) libroutino-slim.so.$(LIBVERSION)
else
LIB =routino.dll routino-slim.dll
LIB+=routino.def routino-slim.def
LIB+=routino.lib routino-slim.lib
endif

INC=routino.h

ifneq ($(HOST),MINGW)
LINK_LIB=libroutino.so
LINK_SLIM_LIB=libroutino-slim.so
else
LINK_LIB=routino.dll
LINK_SLIM_LIB=routino-slim.dll
endif

########

all: all-local
	for dir in $(SUBDIRS); do \
	   ( cd $$dir && $(MAKE) $@ ); \
	done

all-local: all-exe all-lib

all-exe : $(EXE)

all-lib : $(LIB)

########

PLANETSPLITTER_OBJ=planetsplitter.o \
	           nodesx.o segmentsx.o waysx.o relationsx.o superx.o prunex.o \
	           ways.o types.o \
	           files.o logging.o logerror.o errorlogx.o \
	           results.o queue.o sorting.o \
	           xmlparse.o tagging.o \
	           uncompress.o osmxmlparse.o osmpbfparse.o osmo5mparse.o osmparser.o

ifeq ($(HOST),MINGW)
PLANETSPLITTER_OBJ+=mman-win32.o
endif

planetsplitter$(.EXE) : $(PLANETSPLITTER_OBJ)
	$(LD) $^ -o $@ $(LDFLAGS)

########

PLANETSPLITTER_SLIM_OBJ=planetsplitter-slim.o \
	                nodesx-slim.o segmentsx-slim.o waysx-slim.o relationsx-slim.o superx-slim.o prunex-slim.o \
	                ways.o types.o \
	                files.o logging.o logerror-slim.o errorlogx-slim.o \
	                results.o queue.o sorting.o \
	                xmlparse.o tagging.o \
	                uncompress.o osmxmlparse.o osmpbfparse.o osmo5mparse.o osmparser.o

ifeq ($(HOST),MINGW)
PLANETSPLITTER_SLIM_OBJ+=mman-win32.o
endif

planetsplitter-slim$(.EXE) : $(PLANETSPLITTER_SLIM_OBJ)
	$(LD) $^ -o $@ $(LDFLAGS)

########

ROUTER_OBJ=router.o \
	   nodes.o segments.o ways.o relations.o types.o fakes.o \
	   optimiser.o output.o \
	   files.o logging.o profiles.o xmlparse.o \
	   results.o queue.o translations.o

ifeq ($(HOST),MINGW)
ROUTER_OBJ+=mman-win32.o
endif

router$(.EXE) : $(ROUTER_OBJ)
	$(LD) $^ -o $@ $(LDFLAGS)

########

ROUTER_SLIM_OBJ=router-slim.o \
	        nodes-slim.o segments-slim.o ways-slim.o relations-slim.o types.o fakes-slim.o \
	        optimiser-slim.o output-slim.o \
	        files.o logging.o profiles.o xmlparse.o \
	        results.o queue.o translations.o

ifeq ($(HOST),MINGW)
ROUTER_SLIM_OBJ+=mman-win32.o
endif

router-slim$(.EXE) : $(ROUTER_SLIM_OBJ)
	$(LD) $^ -o $@ $(LDFLAGS)

########

FILEDUMPERX_OBJ=filedumperx.o \
	        files.o logging.o

ifeq ($(HOST),MINGW)
FILEDUMPERX_OBJ+=mman-win32.o
endif

filedumperx$(.EXE) : $(FILEDUMPERX_OBJ)
	$(LD) $^ -o $@ $(LDFLAGS)

########

FILEDUMPER_OBJ=filedumper.o \
	       nodes.o segments.o ways.o relations.o types.o fakes.o errorlog.o \
               visualiser.o \
	       files.o logging.o xmlparse.o

ifeq ($(HOST),MINGW)
FILEDUMPER_OBJ+=mman-win32.o
endif

filedumper$(.EXE) : $(FILEDUMPER_OBJ)
	$(LD) $^ -o $@ $(LDFLAGS)

########

FILEDUMPER_SLIM_OBJ=filedumper-slim.o \
	       nodes-slim.o segments-slim.o ways-slim.o relations-slim.o types.o fakes-slim.o errorlog-slim.o \
	       visualiser-slim.o \
	       files.o logging.o xmlparse.o

ifeq ($(HOST),MINGW)
FILEDUMPER_SLIM_OBJ+=mman-win32.o
endif

filedumper-slim$(.EXE) : $(FILEDUMPER_SLIM_OBJ)
	$(LD) $^ -o $@ $(LDFLAGS)

########

%.o : %.c
	-@[ -d $(DEPDIR) ] || mkdir $(DEPDIR)
	$(CC) -c $(CFLAGS) -DSLIM=0 -DROUTINO_DATADIR=\"$(datadir)\" $< -o $@ -MMD -MP -MF $(addprefix $(DEPDIR)/,$(addsuffix .d,$(basename $@)))

%-slim.o : %.c
	-@[ -d $(DEPDIR) ] || mkdir $(DEPDIR)
	$(CC) -c $(CFLAGS) -DSLIM=1 -DROUTINO_DATADIR=\"$(datadir)\" $< -o $@ -MMD -MP -MF $(addprefix $(DEPDIR)/,$(addsuffix .d,$(basename $@)))

########

ROUTER_LIB_OBJ=router+lib.o

router+lib$(.EXE) : $(ROUTER_LIB_OBJ) $(LINK_LIB)
	$(LD) $^ -o $@ $(LDFLAGS) $(LDFLAGS_LDSO)

router+lib-slim$(.EXE) : $(ROUTER_LIB_OBJ) $(LINK_SLIM_LIB)
	$(LD) $^ -o $@ $(LDFLAGS) $(LDFLAGS_LDSO)

########

LIBROUTINO_OBJ=routino-lib.o \
	        nodes-lib.o segments-lib.o ways-lib.o relations-lib.o types-lib.o fakes-lib.o \
	        optimiser-lib.o output-lib.o \
	        files-lib.o profiles-lib.o xmlparse-lib.o \
	        results-lib.o queue-lib.o translations-lib.o

ifeq ($(HOST),MINGW)
LIBROUTINO_OBJ+=mman-win32.o
endif

libroutino.so.$(LIBVERSION) : $(LIBROUTINO_OBJ)
	$(LD) $^ -o $@ $(LDFLAGS) $(LDFLAGS_LIB) $(LDFLAGS_SONAME)

libroutino.so.$(SOVERSION) : libroutino.so.$(LIBVERSION)
	ln -sf $< $@

libroutino.so : libroutino.so.$(LIBVERSION)
	ln -sf $< $@

routino.dll : $(LIBROUTINO_OBJ)
	$(LD) $^ -o $@ $(LDFLAGS) $(LDFLAGS_LIB)

routino.def : routino-lib.o
	dlltool -v --output-def $@ $<

routino.lib : routino.dll routino.def
	dlltool -v --dllname routino.dll --def routino.def --output-lib $@

########

LIBROUTINO_SLIM_OBJ=routino-slim-lib.o \
	        nodes-slim-lib.o segments-slim-lib.o ways-slim-lib.o relations-slim-lib.o types-lib.o fakes-slim-lib.o \
	        optimiser-slim-lib.o output-slim-lib.o \
	        files-lib.o profiles-lib.o xmlparse-lib.o \
	        results-lib.o queue-lib.o translations-lib.o

ifeq ($(HOST),MINGW)
LIBROUTINO_SLIM_OBJ+=mman-win32.o
endif

libroutino-slim.so.$(LIBVERSION) : $(LIBROUTINO_SLIM_OBJ)
	$(LD) $^ -o $@ $(LDFLAGS) $(LDFLAGS_LIB) $(LDFLAGS_SLIM_SONAME)

libroutino-slim.so.$(SOVERSION) : libroutino-slim.so.$(LIBVERSION)
	ln -sf $< $@

libroutino-slim.so : libroutino-slim.so.$(LIBVERSION)
	ln -sf $< $@

routino-slim.dll : $(LIBROUTINO_SLIM_OBJ)
	$(LD) $^ -o $@ $(LDFLAGS) $(LDFLAGS_LIB)

routino-slim.def : routino-slim-lib.o
	dlltool -v --output-def $@ $<

routino-slim.lib : routino-slim.dll routino-slim.def
	dlltool -v --dllname routino-slim.dll --def routino-slim.def --output-lib $@

########

%-lib.o : %.c
	-@[ -d $(DEPDIR) ] || mkdir $(DEPDIR)
	$(CC) -c $(CFLAGS) $(CFLAGS_LIB) -DSLIM=0 -DLIBROUTINO $< -o $@ -MMD -MP -MF $(addprefix $(DEPDIR)/,$(addsuffix .d,$(basename $@)))

%-slim-lib.o : %.c
	-@[ -d $(DEPDIR) ] || mkdir $(DEPDIR)
	$(CC) -c $(CFLAGS) $(CFLAGS_LIB) -DSLIM=1 -DLIBROUTINO $< -o $@ -MMD -MP -MF $(addprefix $(DEPDIR)/,$(addsuffix .d,$(basename $@)))

########

test: test-local
	for dir in $(SUBDIRS); do \
	   ( cd $$dir && $(MAKE) $@ ); \
	done

test-local:

########

install: install-local
	for dir in $(SUBDIRS); do \
	   ( cd $$dir && $(MAKE) $@ ); \
	done

install-local: all-local
	@[ -d $(DESTDIR)$(bindir) ] || mkdir -p $(DESTDIR)$(bindir)
	@for file in $(EXE); do \
	    if [ -f $$file ]; then \
	       echo cp $$file $(DESTDIR)$(bindir) ;\
	       cp -f $$file $(DESTDIR)$(bindir) ;\
	    fi ;\
	 done
	@[ -d $(DESTDIR)$(incdir) ] || mkdir -p $(DESTDIR)$(incdir)
	@for file in $(INC); do \
	    if [ -f $$file ]; then \
	       echo cp $$file $(DESTDIR)$(incdir) ;\
	       cp -f $$file $(DESTDIR)$(incdir) ;\
	    fi ;\
	 done
	@[ -d $(DESTDIR)$(libdir) ] || mkdir -p $(DESTDIR)$(libdir)
	@for file in $(LIB); do \
	    if [ -f $$file ]; then \
	       echo cp $$file $(DESTDIR)$(libdir) ;\
	       cp -df $$file $(DESTDIR)$(libdir) ;\
	    fi ;\
	 done

########

clean: clean-local
	for dir in $(SUBDIRS); do \
	   ( cd $$dir && $(MAKE) $@ ); \
	done

clean-local:
	rm -f *~
	rm -f *.o
	rm -f $(EXE)
	rm -f $(LIB)
	rm -f $(D)
	rm -fr $(DEPDIR)
	rm -f core
	rm -f *.gcda *.gcno *.gcov gmon.out

########

distclean: distclean-local
	for dir in $(SUBDIRS); do \
	   ( cd $$dir && $(MAKE) $@ ); \
	done

distclean-local: clean-local

########

include $(D)

########

.PHONY:: all test install clean distclean

.PHONY:: all-local test-local install-local clean-local distclean-local

=== extras/find-fixme/Makefile ===
# find-fixme Makefile
#
# Part of the Routino routing software.
#
# This file Copyright 2013-2016 Andrew M. Bishop
#
# This program is free software: you can redistribute it and/or modify
# it under the terms of the GNU Affero General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU Affero General Public License for more details.
#
# You should have received a copy of the GNU Affero General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.
#

# All configuration is in the top-level Makefile.conf

include ../../Makefile.conf

# Web file paths

WEBBINDIR=web/bin
WEBDATADIR=web/data
WEBWWWDIR=web/www

# Compilation targets

DEPDIR=.deps

C=$(wildcard *.c)
D=$(wildcard $(DEPDIR)/*.d)

ROUTINO_SRC=../../src
ROUTINO_WEBWWWDIR=../../web/www/routino
ROUTINO_DOCDIR=../../doc/html

EXE=fixme-finder$(.EXE) fixme-finder-slim$(.EXE) fixme-dumper$(.EXE) fixme-dumper-slim$(.EXE)
DATA=fixme.xml
WWW_COPY=page-elements.css page-elements.js maplayout.css mapprops.js maploader.js
DOC_COPY=style.css

########

all: all-bin all-data all-www

all-bin: $(EXE)
	@[ -d $(WEBBINDIR) ] || mkdir -p $(WEBBINDIR)
	@for file in $(EXE); do \
	    if [ ! -f $(WEBBINDIR)/$$file ] || [ $$file -nt $(WEBBINDIR)/$$file ]; then \
	       echo cp $$file $(WEBBINDIR) ;\
	       cp -f $$file $(WEBBINDIR) ;\
	    fi ;\
	 done

all-data:
	@[ -d $(WEBDATADIR) ] || mkdir -p $(WEBDATADIR)
	@for file in $(DATA); do \
	    if [ ! -f $(WEBDATADIR)/$$file ] || [ $$file -nt $(WEBDATADIR)/$$file ]; then \
	       echo cp $$file $(WEBDATADIR) ;\
	       cp -f $$file $(WEBDATADIR) ;\
	    fi ;\
	 done

all-www:
	@for file in $(WWW_COPY); do \
	    if [ ! -f $(WEBWWWDIR)/$$file ] || [ $(ROUTINO_WEBWWWDIR)/$$file -nt $(WEBWWWDIR)/$$file ]; then \
	       echo cp $(ROUTINO_WEBWWWDIR)/$$file $(WEBWWWDIR) ;\
	       cp -f $(ROUTINO_WEBWWWDIR)/$$file $(WEBWWWDIR) ;\
	    fi ;\
	 done
	@for file in $(DOC_COPY); do \
	    if [ ! -f $(WEBWWWDIR)/$$file ] || [ $(ROUTINO_DOCDIR)/$$file -nt $(WEBWWWDIR)/$$file ]; then \
	       echo cp $(ROUTINO_DOCDIR)/$$file $(WEBWWWDIR) ;\
	       cp -f $(ROUTINO_DOCDIR)/$$file $(WEBWWWDIR) ;\
	    fi ;\
	 done

########

FIXME_FINDER_OBJ=fixme-finder.o osmparser.o \
	       	 $(ROUTINO_SRC)/nodesx.o $(ROUTINO_SRC)/segmentsx.o $(ROUTINO_SRC)/waysx.o $(ROUTINO_SRC)/relationsx.o \
	       	 $(ROUTINO_SRC)/ways.o $(ROUTINO_SRC)/types.o \
	       	 $(ROUTINO_SRC)/files.o $(ROUTINO_SRC)/logging.o $(ROUTINO_SRC)/logerror.o $(ROUTINO_SRC)/errorlogx.o \
	       	 $(ROUTINO_SRC)/sorting.o \
	       	 $(ROUTINO_SRC)/xmlparse.o $(ROUTINO_SRC)/tagging.o \
	       	 $(ROUTINO_SRC)/uncompress.o $(ROUTINO_SRC)/osmxmlparse.o $(ROUTINO_SRC)/osmpbfparse.o $(ROUTINO_SRC)/osmo5mparse.o

ifeq ($(HOST),MINGW)
FIXME_FINDER_OBJ+=$(ROUTINO_SRC)/mman-win32.o
endif

fixme-finder$(.EXE) : $(FIXME_FINDER_OBJ)
	$(LD) $^ -o $@ $(LDFLAGS)

########

FIXME_FINDER_SLIM_OBJ=fixme-finder-slim.o osmparser.o \
	       	      $(ROUTINO_SRC)/nodesx-slim.o $(ROUTINO_SRC)/segmentsx-slim.o $(ROUTINO_SRC)/waysx-slim.o $(ROUTINO_SRC)/relationsx-slim.o \
	              $(ROUTINO_SRC)/ways.o $(ROUTINO_SRC)/types.o \
	       	      $(ROUTINO_SRC)/files.o $(ROUTINO_SRC)/logging.o $(ROUTINO_SRC)/logerror-slim.o $(ROUTINO_SRC)/errorlogx-slim.o \
	              $(ROUTINO_SRC)/sorting.o \
	       	      $(ROUTINO_SRC)/xmlparse.o $(ROUTINO_SRC)/tagging.o \
	       	      $(ROUTINO_SRC)/uncompress.o $(ROUTINO_SRC)/osmxmlparse.o $(ROUTINO_SRC)/osmpbfparse.o $(ROUTINO_SRC)/osmo5mparse.o

ifeq ($(HOST),MINGW)
FIXME_FINDER_SLIM_OBJ+=$(ROUTINO_SRC)/mman-win32.o
endif

fixme-finder-slim$(.EXE) : $(FIXME_FINDER_SLIM_OBJ)
	$(LD) $^ -o $@ $(LDFLAGS)

########

FIXME_DUMPER_OBJ=fixme-dumper.o \
	         $(ROUTINO_SRC)/errorlog.o \
	         $(ROUTINO_SRC)/files.o $(ROUTINO_SRC)/logging.o $(ROUTINO_SRC)/xmlparse.o

ifeq ($(HOST),MINGW)
FIXME_DUMPER_OBJ+=$(ROUTINO_SRC)/mman-win32.o
endif

fixme-dumper$(.EXE) : $(FIXME_DUMPER_OBJ)
	$(LD) $^ -o $@ $(LDFLAGS)

########

FIXME_DUMPER_SLIM_OBJ=fixme-dumper-slim.o \
	              $(ROUTINO_SRC)/errorlog-slim.o \
	              $(ROUTINO_SRC)/files.o $(ROUTINO_SRC)/logging.o $(ROUTINO_SRC)/xmlparse.o

ifeq ($(HOST),MINGW)
FIXME_DUMPER_SLIM_OBJ+=$(ROUTINO_SRC)/mman-win32.o
endif

fixme-dumper-slim$(.EXE) : $(FIXME_DUMPER_SLIM_OBJ)
	$(LD) $^ -o $@ $(LDFLAGS)

########

$(ROUTINO_SRC)/%.o :
	cd $(ROUTINO_SRC) && $(MAKE) $(notdir $@)

$(ROUTINO_SRC)/%-slim.o :
	cd $(ROUTINO_SRC) && $(MAKE) $(notdir $@)

%.o : %.c
	-@[ -d $(DEPDIR) ] || mkdir $(DEPDIR)
	$(CC) -c $(CFLAGS) -DSLIM=0 -I$(ROUTINO_SRC) $< -o $@ -MMD -MP -MF $(addprefix $(DEPDIR)/,$(addsuffix .d,$(basename $@)))

%-slim.o : %.c
	-@[ -d $(DEPDIR) ] || mkdir $(DEPDIR)
	$(CC) -c $(CFLAGS) -DSLIM=1 -I$(ROUTINO_SRC) $< -o $@ -MMD -MP -MF $(addprefix $(DEPDIR)/,$(addsuffix .d,$(basename $@)))

########

test:

########

install:

########

clean:
	rm -f *~
	rm -f *.o
	cd $(WEBBINDIR) && rm -f $(EXE)
	cd $(WEBDATADIR) && rm -f $(DATA)
	cd $(WEBWWWDIR) && rm -f $(WWW_COPY)
	cd $(WEBWWWDIR) && rm -f $(DOC_COPY)
	rm -f $(EXE)
	rm -f $(D)
	rm -fr $(DEPDIR)
	rm -f core

########

distclean: clean

########

include $(D)

########

.PHONY:: all test install clean distclean

.PHONY:: all-bin all-data all-www

=== extras/statistics/Makefile ===
# database-stats Makefile
#
# Part of the Routino routing software.
#
# This file Copyright 2008-2016 Andrew M. Bishop
#
# This program is free software: you can redistribute it and/or modify
# it under the terms of the GNU Affero General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU Affero General Public License for more details.
#
# You should have received a copy of the GNU Affero General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.
#

# All configuration is in the top-level Makefile.conf

include ../../Makefile.conf

# Compilation targets

DEPDIR=.deps

C=$(wildcard *.c)
D=$(wildcard $(DEPDIR)/*.d)

ROUTINO_SRC=../../src

EXE=dumper$(.EXE) dumper-slim$(.EXE)

########

all : $(EXE)

########

DUMPER_OBJ=dumper.o \
	   $(ROUTINO_SRC)/nodes.o $(ROUTINO_SRC)/segments.o $(ROUTINO_SRC)/ways.o \
	   $(ROUTINO_SRC)/files.o $(ROUTINO_SRC)/fakes.o $(ROUTINO_SRC)/logging.o \
           $(ROUTINO_SRC)/sorting.o

ifeq ($(HOST),MINGW)
DUMPER_OBJ+=$(ROUTINO_SRC)/mman-win32.o
endif

dumper$(.EXE) : $(DUMPER_OBJ)
	$(LD) $^ -o $@ $(LDFLAGS)

DUMPER_SLIM_OBJ=dumper-slim.o \
	   $(ROUTINO_SRC)/nodes-slim.o $(ROUTINO_SRC)/segments-slim.o $(ROUTINO_SRC)/ways-slim.o \
	   $(ROUTINO_SRC)/files.o $(ROUTINO_SRC)/fakes.o $(ROUTINO_SRC)/logging.o \
           $(ROUTINO_SRC)/sorting.o

ifeq ($(HOST),MINGW)
DUMPER_SLIM_OBJ+=$(ROUTINO_SRC)/mman-win32.o
endif

dumper-slim$(.EXE) : $(DUMPER_SLIM_OBJ)
	$(LD) $^ -o $@ $(LDFLAGS)

########

$(ROUTINO_SRC)/%.o :
	cd $(ROUTINO_SRC) && $(MAKE) $(notdir $@)

$(ROUTINO_SRC)/%-slim.o :
	cd $(ROUTINO_SRC) && $(MAKE) $(notdir $@)

%.o : %.c
	-@[ -d $(DEPDIR) ] || mkdir $(DEPDIR)
	$(CC) -c $(CFLAGS) -DSLIM=0 -I$(ROUTINO_SRC) $< -o $@ -MMD -MP -MF $(addprefix $(DEPDIR)/,$(addsuffix .d,$(basename $@)))

%-slim.o : %.c
	-@[ -d $(DEPDIR) ] || mkdir $(DEPDIR)
	$(CC) -c $(CFLAGS) -DSLIM=1 -I$(ROUTINO_SRC) $< -o $@ -MMD -MP -MF $(addprefix $(DEPDIR)/,$(addsuffix .d,$(basename $@)))

########

test:

########

install:

########

clean:
	rm -f *~
	rm -f *.o
	rm -f $(EXE)
	rm -f $(D)
	rm -fr $(DEPDIR)
	rm -f core
	rm -f *.png

########

distclean: clean

########

include $(D)

########

.PHONY:: all test install clean distclean

=== extras/tagmodifier/Makefile ===
# tagmodifier Makefile
#
# Part of the Routino routing software.
#
# This file Copyright 2013-2015 Andrew M. Bishop
#
# This program is free software: you can redistribute it and/or modify
# it under the terms of the GNU Affero General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU Affero General Public License for more details.
#
# You should have received a copy of the GNU Affero General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.
#

# All configuration is in the top-level Makefile.conf

include ../../Makefile.conf

# Compilation targets

DEPDIR=.deps

C=$(wildcard *.c)
D=$(wildcard $(DEPDIR)/*.d)

ROUTINO_SRC=../../src

EXE=tagmodifier$(.EXE)

########

all: $(EXE)

########

TAGMODIFIER_OBJ=tagmodifier.o \
	        $(ROUTINO_SRC)/files.o $(ROUTINO_SRC)/logging.o $(ROUTINO_SRC)/logerror.o \
	        $(ROUTINO_SRC)/uncompress.o $(ROUTINO_SRC)/xmlparse.o $(ROUTINO_SRC)/tagging.o

ifeq ($(HOST),MINGW)
TAGMODIFIER_OBJ+=$(ROUTINO_SRC)/mman-win32.o
endif

tagmodifier$(.EXE) : $(TAGMODIFIER_OBJ)
	$(LD) $^ -o $@ $(LDFLAGS)

########

$(ROUTINO_SRC)/%.o :
	cd $(ROUTINO_SRC) && $(MAKE) $(notdir $@)

%.o : %.c
	-@[ -d $(DEPDIR) ] || mkdir $(DEPDIR)
	$(CC) -c $(CFLAGS) -DSLIM=0 -I$(ROUTINO_SRC) $< -o $@ -MMD -MP -MF $(addprefix $(DEPDIR)/,$(addsuffix .d,$(basename $@)))

########

test:

########

install:

########

clean:
	rm -f *~
	rm -f *.o
	rm -f $(EXE)
	rm -f $(D)
	rm -fr $(DEPDIR)
	rm -f core

########

distclean: clean

########

include $(D)

########

.PHONY:: all test install clean distclean

=== src/test/Makefile ===
# Test cases Makefile
#
# Part of the Routino routing software.
#
# This file Copyright 2011-2015 Andrew M. Bishop
#
# This program is free software: you can redistribute it and/or modify
# it under the terms of the GNU Affero General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU Affero General Public License for more details.
#
# You should have received a copy of the GNU Affero General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.
#

# All configuration is in the top-level Makefile.conf

include ../../Makefile.conf

# executables

EXE=is-fast-math$(.EXE)

# Compilation targets

O=$(notdir $(wildcard *.osm))
S=$(foreach f,$(O),$(addsuffix .sh,$(basename $f)))

########

all :

########

test : test-exe $(EXE)
	@./run-tests.sh $(S)

########

test-exe :
	cd .. && $(MAKE) all-exe all-lib

is-fast-math$(.EXE) : is-fast-math.o
	$(LD) $< -o $@ $(LDFLAGS)

is-fast-math.o : is-fast-math.c
	$(CC) -c $(CFLAGS) $< -o $@

########

install:

########

clean:
	rm -rf fat
	rm -rf slim
	rm -rf fat+lib
	rm -rf slim+lib
	rm -rf fat-pruned
	rm -rf slim-pruned
	rm -f *.log
	rm -f *~
	rm -f *.o
	rm -f $(EXE)
	rm -f core
	rm -f *.gcda *.gcno *.gcov gmon.out

########

distclean: clean

########

.PHONY:: all test install clean distclean

.PHONY:: test-exe

=== src/xml/Makefile ===
# XML test programs Makefile
#
# Part of the Routino routing software.
#
# This file Copyright 2010-2015 Andrew M. Bishop
#
# This program is free software: you can redistribute it and/or modify
# it under the terms of the GNU Affero General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU Affero General Public License for more details.
#
# You should have received a copy of the GNU Affero General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.
#

# All configuration is in the top-level Makefile.conf

include ../../Makefile.conf

# Compilation targets

DEPDIR=.deps

XMLDIR=../../xml

X=$(notdir $(wildcard $(XMLDIR)/*.xsd))
C=$(foreach f,$(X),$(addsuffix -skeleton.c,$(basename $f)))
D=$(wildcard $(DEPDIR)/*.d)
O=$(foreach f,$(C),$(addsuffix .o,$(basename $f)))
E=$(foreach f,$(C),$(addsuffix $(.EXE),$(basename $f)))

EXE=xsd-to-xmlparser$(.EXE)

########

all: $(EXE) $(C) $(E)

########

xsd-to-xmlparser$(.EXE) : xsd-to-xmlparser.o ../xmlparse.o
	$(LD) $^ -o $@ $(LDFLAGS)

########

%-skeleton.c : $(XMLDIR)/%.xsd xsd-to-xmlparser$(.EXE)
	-./xsd-to-xmlparser < $< > $@
	@test -s $@ || rm $@

%-skeleton$(.EXE) : %-skeleton.o ../xmlparse.o
	$(LD) $^ -o $@ $(LDFLAGS)

.SECONDARY : $(O)

########

../xmlparse.o : ../xmlparse.c ../xmlparse.h
	cd .. && $(MAKE) xmlparse.o

########

%.o : %.c
	-@[ -d $(DEPDIR) ] || mkdir $(DEPDIR)
	$(CC) -c $(CFLAGS) -I.. $< -o $@ -MMD -MP -MF $(addprefix $(DEPDIR)/,$(addsuffix .d,$(basename $@)))

########

test: test-skeleton$(.EXE)
	@status=true ;\
	echo "" ;\
	for good in test/good*.xml; do \
	   echo "Testing: $$good ... " ;\
	   if ./test-skeleton < $$good > /dev/null; then echo "... passed"; else echo "... FAILED"; status=false; fi ;\
	   echo "" ;\
	done ;\
	for bad in test/bad*.xml; do \
	   echo "Testing: $$bad ... " ;\
	   if ./test-skeleton < $$bad > /dev/null; then echo "... FAILED"; status=false; else echo "... passed"; fi ;\
	   echo "" ;\
	done ;\
	if $$status; then echo "Success: all tests passed"; else echo "Warning: Some tests FAILED"; fi ;\
	$$status

test-skeleton$(.EXE) : test-skeleton.o ../xmlparse.o
	$(LD) $^ -o $@ $(LDFLAGS)

test-skeleton.c : test/test.xsd xsd-to-xmlparser$(.EXE)
	./xsd-to-xmlparser < $< | sed -e 's/XMLPARSE_UNKNOWN_ATTR_WARN/XMLPARSE_UNKNOWN_ATTR_ERROR/' > $@

########

install:

########

clean:
	rm -f *~
	rm -f *.o
	rm -f $(EXE)
	rm -f $(E) test-skeleton$(.EXE)
	rm -f $(D) $(DEPDIR)/test-skeleton.d
	rm -f $(C) test-skeleton.c
	rm -fr $(DEPDIR)
	rm -f core
	rm -f *.gcda *.gcno *.gcov gmon.out

########

distclean: clean

########

include $(D)

########

.PHONY:: all test install clean distclean

=== debian/changelog ===
routino (3.2-2) unstable; urgency=medium

  * Fix SOURCE_DATE_EPOCH use.

 -- Bas Couwenberg <sebastic@debian.org>  Mon, 26 Jun 2017 21:43:37 +0200

routino (3.2-1) unstable; urgency=medium

  * Bump Standards-Version to 4.0.0, no changes.
  * Fix debian-rules-parses-dpkg-parsechangelog lintian issues.
  * Add autopkgtest to test installability.
  * Move from experimental to unstable.

 -- Bas Couwenberg <sebastic@debian.org>  Sun, 18 Jun 2017 18:22:51 +0200

routino (3.2-1~exp1) experimental; urgency=medium

  * New upstream release.
  * Update copyright years for Andrew M. Bishop.
  * Refresh patches.

 -- Bas Couwenberg <sebastic@debian.org>  Wed, 15 Mar 2017 07:37:35 +0100

=== debian/control ===
Source: routino
Maintainer: Debian GIS Project <pkg-grass-devel@lists.alioth.debian.org>
Uploaders: Uwe Steinmann <steinm@debian.org>,
           Bas Couwenberg <sebastic@debian.org>
Section: misc
Priority: extra
Build-Depends: debhelper (>= 9),
               chrpath,
               flex,
               libbz2-dev,
               zlib1g-dev,
               libgraphics-magick-perl,
               gsfonts,
               docbook2x,
               docbook-xsl,
               docbook-xml,
               xsltproc
Standards-Version: 4.0.0
Vcs-Browser: https://anonscm.debian.org/cgit/pkg-grass/routino.git
Vcs-Git: https://anonscm.debian.org/git/pkg-grass/routino.git
Homepage: http://www.routino.org/

Package: routino
Architecture: any
Depends: routino-common (= ${source:Version}),
         ${shlibs:Depends},
         ${misc:Depends}
Description: Set of tools to find a path between two points
 Routino is an application for finding a route between two points
 using the dataset of topographical information collected by
 OpenStreetMap

Package: routino-common
Architecture: all
Depends: ${misc:Depends}
Breaks: routino (<< 3.0-2~)
Replaces: routino (<< 3.0-2~)
Description: Routino data
 Routino is an application for finding a route between two points
 using the dataset of topographical information collected by
 OpenStreetMap
 .
 This package provides the common data for Routino.

Package: routino-www
Architecture: all
Section: web
Depends: apache2 | httpd,
         libjs-leaflet,
         javascript-common,
         routino,
         ${perl:Depends},
         ${misc:Depends}
Description: Web frontend for routino
 Routino is an application for finding a route between two points
 using the dataset of topographical information collected by
 OpenStreetMap
 .
 This is the web frontend to the router.

Package: libroutino0
Architecture: any
Section: libs
Depends: routino-common (= ${source:Version}),
         ${shlibs:Depends},
         ${misc:Depends}
Description: Routino routing library
 Routino is an application for finding a route between two points
 using the dataset of topographical information collected by
 OpenStreetMap
 .
 This package provides the libroutino shared library.

Package: libroutino-slim0
Architecture: any
Section: libs
Depends: routino-common (= ${source:Version}),
         ${shlibs:Depends},
         ${misc:Depends}
Description: Routino slim routing library
 Routino is an application for finding a route between two points
 using the dataset of topographical information collected by
 OpenStreetMap
 .
 This package provides the libroutino-slim shared library.

Package: libroutino-dev
Architecture: any
Section: libdevel
Depends: libroutino0 (= ${binary:Version}),
         libroutino-slim0 (= ${binary:Version}),
         ${misc:Depends}
Description: Routino library development headers
 Routino is an application for finding a route between two points
 using the dataset of topographical information collected by
 OpenStreetMap
 .
 This package provides the routino headers.

Package: routino-dbg
Architecture: any
Section: debug
Depends: libroutino0 (= ${binary:Version}),
         libroutino-slim0 (= ${binary:Version}),
         ${misc:Depends}
Description: Debug symbols for Routino
 Routino is an application for finding a route between two points
 using the dataset of topographical information collected by
 OpenStreetMap
 .
 This package provides debug symbols for libroutino.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

include /usr/share/dpkg/pkg-info.mk

UPSTREAM_VERSION=$(shell echo ${DEB_VERSION_UPSTREAM} | sed -e 's/\+.*//')

BUILD_DATE=$(shell LC_ALL=C date -u "+%d %B %Y" -d "@$(SOURCE_DATE_EPOCH)")

MANPAGES:=$(wildcard debian/man/*.*.xml)

%:
	dh $@ --parallel

override_dh_clean:
	dh_clean debian/man/*.1

override_dh_auto_clean:
	dh_auto_clean || echo "Ignoring clean failure"

override_dh_auto_build-arch:
	# Create man pages from DocBook XML
	for x in $(MANPAGES) ; do \
	  docbook2x-man --string-param header-3="$(BUILD_DATE)" $$x ; \
	  mv `basename $$x | sed 's/.xml$$//'` `dirname $$x` ; \
	done

	dh_auto_build

override_dh_auto_install:
	dh_auto_install

	install -d $(CURDIR)/debian/tmp/usr/share/routino/www
	cp -r web/www/routino/* $(CURDIR)/debian/tmp/usr/share/routino/www

	install -d $(CURDIR)/debian/tmp/etc/routino-www
	install -m 644 debian/apache.conf $(CURDIR)/debian/tmp/etc/routino-www/apache.conf
	install -m 644 debian/avahi.conf $(CURDIR)/debian/tmp/etc/routino-www/routino-www.service
	install -m 644 debian/routino-www.desktop $(CURDIR)/debian/tmp/etc/routino-www/

	# Strip RPATH
	chrpath --delete debian/*/usr/bin/*

	# Remove upstream install documentation
	rm -f debian/*/usr/share/doc/routino/INSTALL.txt*
	rm -f debian/*/usr/share/doc/routino/INSTALL-MS-WIN.txt*

override_dh_install:
	dh_install --list-missing

override_dh_strip:
	dh_strip --dbg-package=routino-dbg

override_dh_makeshlibs:
	dh_makeshlibs -- -v$(UPSTREAM_VERSION)

=== debian/watch ===
version=3
opts=\
dversionmangle=s/\+(debian|dfsg|ds|deb)\d*$//,\
uversionmangle=s/(\d)[_\.\-\+]?((RC|rc|pre|dev|beta|alpha)\d*)$/$1~$2/;s/RC/rc/ \
http://www.routino.org/download/ \
routino[\-\_]?(.*)\.(?:tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))
